> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves conversion rates

> Retrieves fee for a given voucher amount and currency.



## OpenAPI

````yaml get /v1/voucher-fee
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/voucher-fee:
    get:
      tags:
        - Voucher fee
      summary: Retrieves conversion rates
      description: Retrieves fee for a given voucher amount and currency.
      operationId: get-fee
      parameters:
        - in: query
          name: amount
          description: Voucher amount
          required: true
          schema:
            type: integer
        - in: query
          name: currency
          description: Voucher currency
          required: true
          schema:
            type: string
            enum:
              - NGN
              - USD
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      voucherFee:
                        type: integer
                        format: int32

````